Modify a SCIM user by ID
1 min
PATCH
https://identity-api.optimizely.com/api/scim/v2/users/{id}
Path Parameters
- idstringrequiredDescription
Body Parameters
- bodypatchRequest2requiredDescription
- operationspatchOperation2Combined[]
- valuestring
- nameinteger<int32>Default0Formatint32Allowed012
- opstring
- pathiPath
- attributePathstring
- schemaIdentifierstring
- subAttributesiFilter[]
- attributePathstring
- comparisonValuestring
- comparisonValueEncodedstring
- dataTypeinteger<int32>Default0Formatint32Allowed01234567
- filterOperatorinteger<int32>Default0Formatint32Allowed0123456789101112
- additionalFilteriFilter
- Circular-Reference
- valuePathiPath
- Circular-Reference
- schemasstring[]
Responses
200
- optiUser
- nameoptiName
- familyNamestring
- givenNamestring
- activeboolean
- metacore2Metadata
- resourceTypestring
- createdstring<date-time>Formatdate-time
- lastModifiedstring<date-time>Formatdate-time
- versionstring
- locationstring
- customExtensionmap<string, iDictionary_object>
- userNamestring
- externalIdstring
- idstring
- schemasstring[]
400
- core2Error
- scimTypestring
- detailstring
- statusinteger<int32>Formatint32
- schemasstring[]
401
404
- core2Error
- scimTypestring
- detailstring
- statusinteger<int32>Formatint32
- schemasstring[]
500
- core2Error
- scimTypestring
- detailstring
- statusinteger<int32>Formatint32
- schemasstring[]
curl
curl --request PATCH \
--url https://identity-api.optimizely.com/api/scim/v2/users/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'PATCH',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://identity-api.optimizely.com/api/scim/v2/users/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://identity-api.optimizely.com/api/scim/v2/users/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://identity-api.optimizely.com/api/scim/v2/users/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PATCH", url, headers=headers, data=payload)
print(response.text)
200
// The modified user.
{
"name": {
"familyName": "",
"givenName": ""
},
"active": false,
"meta": {
"resourceType": "",
"created": "",
"lastModified": "",
"version": "",
"location": ""
},
"customExtension": "",
"userName": "",
"externalId": "",
"id": "",
"schemas": [
""
]
}400
// The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
{
"scimType": "",
"detail": "",
"status": "",
"schemas": [
""
]
}401
// Unauthorized access to endpoint.
404
// The requested resource was not found.
{
"scimType": "",
"detail": "",
"status": "",
"schemas": [
""
]
}500
// A server error occurred, please try again
{
"scimType": "",
"detail": "",
"status": "",
"schemas": [
""
]
}